Foxit PDF SDK

Public Member Functions | List of all members
FSDK.RevocationCallback Class Reference

## Public Member Functions
| GetCertChainFromSignature (signature_content)
| A callback function used to get the cert chain from the signature content. More...
| GetCertValidTimeRange (cert)
| A callback function used to get the time range that represents validity period of a certificate. More...
| GetCRLSignature (crl_data)
| A callback function used to get the signature content from a CRL response. More...
| GetOCSPCertAndIssuer (ocsp_data, trust_cert_chain)
| A callback function used to get the cert-issuer pair of OCSP response. More...
| GetOCSPProducedAtTime (ocsp_data)
| A callback function used to get the produce time of the OCSP response. More...
| GetOCSPSignature (ocsp_data)
| A callback function used to get the signature content from a OCSP response. More...
| GetResponseOnLineForSingleCert (cert_issuer_pair)
| A callback function used to get response online for a certificate. More...
| GetRevocationInfoFromSignatureData (signature_content)
| A callback function used to get the revocation information (in array type) from a signature. More...
| GetTSTSignature (signature_content)
| A callback function used to get the time stamp token content from a signature content. More...
| GetTSTTime (signature_content)
| A callback function used to get the time stamp token time from signature content. More...
| IsCA (cert) GetDTSTime(signature_content)
| A callback function used to judge whether a certificate is a CA certificate. More...
| IsIssuerMatchCert (cert_issuer_pair)
| A callback function used to check if an issuer matches a certificate. More...
| IsOCSPNeedCheck (ocsp_data)
| A callback function used to get flag which decides if need to check OCSP response. More...
| Release ()
| A callback function used to release current callback object itself. More...
| VerifyCRL (cert_issuer_pair, crl_data)
| A callback function used to verify whether the CRL response matches the certificate and get the verify result for the certificate. More...
| VerifyOCSP (cert_issuer_pair, ocsp_data)
| A callback function used to verify whether the OCSP response matches the certificate and get the verify result for the certificate. More...

## Detailed Description

This class represent a revocation callback object which is used for class FSDK.LTVVerifier. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

See also
  FSDK.LTVVerifier

## Member Function Documentation

## ◆ GetCertChainFromSignature()

FSDK.RevocationCallback.GetCertChainFromSignature | ( | signature_content |  | ) |

A callback function used to get the cert chain from the signature content.

Parameters

  [in] | signature_content | Signature content.

Returns
  An array that represents the cert chain.

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.

## ◆ GetCertValidTimeRange()

FSDK.RevocationCallback.GetCertValidTimeRange | ( | cert |  | ) |

A callback function used to get the time range that represents validity period of a certificate.

Parameters

  [in] | cert | Certificate content.

Returns
  Time range that represents validity period of the certificate.

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.

## ◆ GetCRLSignature()

FSDK.RevocationCallback.GetCRLSignature | ( | crl_data |  | ) |

A callback function used to get the signature content from a CRL response.

Parameters

  [in] | crl_data | CRL response content.

Returns
  Signature content .

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.

## ◆ GetOCSPCertAndIssuer()

FSDK.RevocationCallback.GetOCSPCertAndIssuer | ( | ocsp_data | ,
|  | trust_cert_chain |
| ) |  |

A callback function used to get the cert-issuer pair of OCSP response.

Parameters

  [in] | ocsp_data | OCSP response data.
  [in] | trust_cert_chain | The trust cert chain used to find the issuer of the OCSP cert.

Returns
  A cert-issuer pair that obtained from OCSP.

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.

## ◆ GetOCSPProducedAtTime()

FSDK.RevocationCallback.GetOCSPProducedAtTime | ( | ocsp_data |  | ) |

A callback function used to get the produce time of the OCSP response.

Parameters

  [in] | ocsp_data | OCSP response content.

Returns
  Produce time of the OCSP response. utc_hour_offset and utc_minite_offset of this time would be ignored.

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.

## ◆ GetOCSPSignature()

FSDK.RevocationCallback.GetOCSPSignature | ( | ocsp_data |  | ) |

A callback function used to get the signature content from a OCSP response.

Parameters

  [in] | ocsp_data | OCSP response content.

Returns
  Signature content.

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.

## ◆ GetResponseOnLineForSingleCert()

FSDK.RevocationCallback.GetResponseOnLineForSingleCert | ( | cert_issuer_pair |  | ) |

A callback function used to get response online for a certificate.

Parameters

  [in] | cert_issuer_pair | A cert-issuer pair which represents a certificate and an issuer for the certificate.

Returns
  Response for the certificate.

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.

## ◆ GetRevocationInfoFromSignatureData()

FSDK.RevocationCallback.GetRevocationInfoFromSignatureData | ( | signature_content |  | ) |

A callback function used to get the revocation information (in array type) from a signature.

Parameters

  [in] | signature_content | Signature content.

Returns
  Information in array type of revocation information.

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.

## ◆ GetTSTSignature()

FSDK.RevocationCallback.GetTSTSignature | ( | signature_content |  | ) |

A callback function used to get the time stamp token content from a signature content.

Parameters

  [in] | signature_content | Signature content.

Returns
  Time stamp token content.

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.

## ◆ GetTSTTime()

FSDK.RevocationCallback.GetTSTTime | ( | signature_content |  | ) |

A callback function used to get the time stamp token time from signature content.

Parameters

  [in] | signature_content | Signature content.

Returns
  Time of time stamp token of a signature. utc_hour_offset and utc_minite_offset of this time would be ignored.

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.

## ◆ IsCA()

FSDK.RevocationCallback.IsCA | ( | cert |  | ) |

A callback function used to judge whether a certificate is a CA certificate.

Parameters

  [in] | cert | Certificate content.

Returns
  true means the certificate is a CA certificate, while false means not.

A callback function used to get the DTS (document time stamp signature) time from signature content.

Parameters

  [in] | signature_content | Signature content.

Returns
  DTS time. utc_hour_offset and utc_minite_offset of this time would be ignored.

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.

## ◆ IsIssuerMatchCert()

FSDK.RevocationCallback.IsIssuerMatchCert | ( | cert_issuer_pair |  | ) |

A callback function used to check if an issuer matches a certificate.

Parameters

  [in] | cert_issuer_pair | A cert-issuer pair. Issuer in this pair is to be checked if it matches the ceritificate in this pair.

Returns
  true means issuer matches the certificate, while false means not.

## ◆ IsOCSPNeedCheck()

FSDK.RevocationCallback.IsOCSPNeedCheck | ( | ocsp_data |  | ) |

A callback function used to get flag which decides if need to check OCSP response.

Parameters

  [in] | ocsp_data | OCSP response content.

Returns
  true means need to check OCSP response, while false means no need.

## ◆ Release()

FSDK.RevocationCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ VerifyCRL()

FSDK.RevocationCallback.VerifyCRL | ( | cert_issuer_pair | ,
|  | crl_data |
| ) |  |

A callback function used to verify whether the CRL response matches the certificate and get the verify result for the certificate.

Parameters

  [in] | cert_issuer_pair | A cert-issuer pair which represents a certificate and an issuer for the certificate.
  [in] | crl_data | CRL content.

Returns
  Certificate verify result that obtained from CRL.

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.

## ◆ VerifyOCSP()

FSDK.RevocationCallback.VerifyOCSP | ( | cert_issuer_pair | ,
|  | ocsp_data |
| ) |  |

A callback function used to verify whether the OCSP response matches the certificate and get the verify result for the certificate.

Parameters

  [in] | cert_issuer_pair | A cert-issuer pair which represents a certificate and an issuer for the certificate.
  [in] | ocsp_data | OCSP content.

Returns
  Certificate verify result that obtained from CRL.

Note
  User can throw exception for errors. Please refer to class FSDK.Exception and values starting from FSDK.e_ErrFile.